import { Renderable } from '@tempots/dom';
import { PasswordStrengthIndicatorOptions } from './index';
export declare function PasswordStrengthIndicator({ password, rules, showLabel, className, }: PasswordStrengthIndicatorOptions): Renderable;
export declare function PasswordStrengthBar({ password, rules, className, }: Omit<PasswordStrengthIndicatorOptions, 'showLabel'>): Renderable;
export declare function PasswordStrengthText({ password, rules, className, }: Omit<PasswordStrengthIndicatorOptions, 'showLabel'>): Renderable;
